package reparto_izca.keymon.lat;


import anywheresoftware.b4a.BA;
import anywheresoftware.b4a.B4AClass;
import anywheresoftware.b4a.BALayout;
import anywheresoftware.b4a.debug.*;

public class c_foto extends B4AClass.ImplB4AClass implements BA.SubDelegator{
    private static java.util.HashMap<String, java.lang.reflect.Method> htSubs;
    private void innerInitialize(BA _ba) throws Exception {
        if (ba == null) {
            ba = new BA(_ba, this, htSubs, "reparto_izca.keymon.lat.c_foto");
            if (htSubs == null) {
                ba.loadHtSubs(this.getClass());
                htSubs = ba.htSubs;
            }
            
        }
        if (BA.isShellModeRuntimeCheck(ba)) 
			   this.getClass().getMethod("_class_globals", reparto_izca.keymon.lat.c_foto.class).invoke(this, new Object[] {null});
        else
            ba.raiseEvent2(null, true, "class_globals", false);
    }

 public anywheresoftware.b4a.keywords.Common __c = null;
public anywheresoftware.b4a.objects.B4XViewWrapper _root = null;
public anywheresoftware.b4a.objects.B4XViewWrapper.XUI _xui = null;
public boolean _frontcamera = false;
public anywheresoftware.b4a.gps.GPS _g = null;
public anywheresoftware.b4a.objects.PanelWrapper _p_camara = null;
public reparto_izca.keymon.lat.cameraexclass _camex = null;
public anywheresoftware.b4a.objects.ButtonWrapper _btntakepicture = null;
public anywheresoftware.b4a.sql.SQL.CursorWrapper _c = null;
public String _cuenta = "";
public String _lat_gps = "";
public String _usuario = "";
public String _motivo = "";
public b4a.example.dateutils _dateutils = null;
public reparto_izca.keymon.lat.main _main = null;
public reparto_izca.keymon.lat.appupdater _appupdater = null;
public reparto_izca.keymon.lat.foto _foto = null;
public reparto_izca.keymon.lat.mapa_cliente _mapa_cliente = null;
public reparto_izca.keymon.lat.mapa_rutas _mapa_rutas = null;
public reparto_izca.keymon.lat.starter _starter = null;
public reparto_izca.keymon.lat.subs _subs = null;
public reparto_izca.keymon.lat.tracker _tracker = null;
public reparto_izca.keymon.lat.newinst2 _newinst2 = null;
public reparto_izca.keymon.lat.b4xpages _b4xpages = null;
public reparto_izca.keymon.lat.b4xcollections _b4xcollections = null;
public reparto_izca.keymon.lat.httputils2service _httputils2service = null;
public reparto_izca.keymon.lat.xuiviewsutils _xuiviewsutils = null;
public String  _activity_pause(boolean _userclosed) throws Exception{
 //BA.debugLineNum = 43;BA.debugLine="Sub Activity_Pause (UserClosed As Boolean)";
 //BA.debugLineNum = 45;BA.debugLine="End Sub";
return "";
}
public String  _b4xpage_appear() throws Exception{
 //BA.debugLineNum = 34;BA.debugLine="Sub B4XPage_Appear";
 //BA.debugLineNum = 35;BA.debugLine="InitializeCamera";
_initializecamera();
 //BA.debugLineNum = 36;BA.debugLine="End Sub";
return "";
}
public anywheresoftware.b4a.keywords.Common.ResumableSubWrapper  _b4xpage_closerequest() throws Exception{
ResumableSub_B4XPage_CloseRequest rsub = new ResumableSub_B4XPage_CloseRequest(this);
rsub.resume(ba, null);
return (anywheresoftware.b4a.keywords.Common.ResumableSubWrapper) anywheresoftware.b4a.AbsObjectWrapper.ConvertToWrapper(new anywheresoftware.b4a.keywords.Common.ResumableSubWrapper(), rsub);
}
public static class ResumableSub_B4XPage_CloseRequest extends BA.ResumableSub {
public ResumableSub_B4XPage_CloseRequest(reparto_izca.keymon.lat.c_foto parent) {
this.parent = parent;
}
reparto_izca.keymon.lat.c_foto parent;

@Override
public void resume(BA ba, Object[] result) throws Exception{

    while (true) {
        switch (state) {
            case -1:
{
parent.__c.ReturnFromResumableSub(this,null);return;}
case 0:
//C
this.state = -1;
 //BA.debugLineNum = 157;BA.debugLine="B4XPages.ShowPage(\"Cliente\")";
parent._b4xpages._showpage /*String*/ (ba,"Cliente");
 //BA.debugLineNum = 159;BA.debugLine="Return False";
if (true) {
parent.__c.ReturnFromResumableSub(this,(Object)(parent.__c.False));return;};
 //BA.debugLineNum = 160;BA.debugLine="End Sub";
if (true) break;

            }
        }
    }
}
public String  _b4xpage_created(anywheresoftware.b4a.objects.B4XViewWrapper _root1) throws Exception{
 //BA.debugLineNum = 22;BA.debugLine="Private Sub B4XPage_Created (Root1 As B4XView)";
 //BA.debugLineNum = 23;BA.debugLine="Root = Root1";
_root = _root1;
 //BA.debugLineNum = 25;BA.debugLine="g.Initialize(\"GPS\")";
_g.Initialize("GPS");
 //BA.debugLineNum = 26;BA.debugLine="Root.LoadLayout(\"foto\")";
_root.LoadLayout("foto",ba);
 //BA.debugLineNum = 27;BA.debugLine="c=Starter.skmt.ExecQuery(\"select cuenta from cuen";
_c = (anywheresoftware.b4a.sql.SQL.CursorWrapper) anywheresoftware.b4a.AbsObjectWrapper.ConvertToWrapper(new anywheresoftware.b4a.sql.SQL.CursorWrapper(), (android.database.Cursor)(_starter._skmt /*anywheresoftware.b4a.sql.SQL*/ .ExecQuery("select cuenta from cuentaa")));
 //BA.debugLineNum = 28;BA.debugLine="c.Position = 0";
_c.setPosition((int) (0));
 //BA.debugLineNum = 29;BA.debugLine="cuenta = c.GetString(\"CUENTA\")";
_cuenta = _c.GetString("CUENTA");
 //BA.debugLineNum = 30;BA.debugLine="End Sub";
return "";
}
public String  _btneffect_click() throws Exception{
anywheresoftware.b4a.objects.collections.List _effects = null;
String _effect = "";
 //BA.debugLineNum = 116;BA.debugLine="Sub btnEffect_Click";
 //BA.debugLineNum = 117;BA.debugLine="Dim effects As List = camEx.GetSupportedColorEffe";
_effects = new anywheresoftware.b4a.objects.collections.List();
_effects = _camex._getsupportedcoloreffects /*anywheresoftware.b4a.objects.collections.List*/ ();
 //BA.debugLineNum = 118;BA.debugLine="If effects.IsInitialized = False Then";
if (_effects.IsInitialized()==__c.False) { 
 //BA.debugLineNum = 119;BA.debugLine="ToastMessageShow(\"Effects not supported.\", False";
__c.ToastMessageShow(BA.ObjectToCharSequence("Effects not supported."),__c.False);
 //BA.debugLineNum = 120;BA.debugLine="Return";
if (true) return "";
 };
 //BA.debugLineNum = 122;BA.debugLine="Dim effect As String = effects.Get((effects.Index";
_effect = BA.ObjectToString(_effects.Get((int) ((_effects.IndexOf((Object)(_camex._getcoloreffect /*String*/ ()))+1)%_effects.getSize())));
 //BA.debugLineNum = 123;BA.debugLine="camEx.SetColorEffect(effect)";
_camex._setcoloreffect /*String*/ (_effect);
 //BA.debugLineNum = 124;BA.debugLine="ToastMessageShow(effect, False)";
__c.ToastMessageShow(BA.ObjectToCharSequence(_effect),__c.False);
 //BA.debugLineNum = 125;BA.debugLine="camEx.CommitParameters";
_camex._commitparameters /*String*/ ();
 //BA.debugLineNum = 126;BA.debugLine="End Sub";
return "";
}
public String  _btnflash_click() throws Exception{
float[] _f = null;
anywheresoftware.b4a.objects.collections.List _flashmodes = null;
String _flash = "";
 //BA.debugLineNum = 128;BA.debugLine="Sub btnFlash_Click";
 //BA.debugLineNum = 129;BA.debugLine="Dim f() As Float = camEx.GetFocusDistances";
_f = _camex._getfocusdistances /*float[]*/ ();
 //BA.debugLineNum = 130;BA.debugLine="Log(f(0) & \", \" & f(1) & \", \" & f(2))";
__c.LogImpl("149283074",BA.NumberToString(_f[(int) (0)])+", "+BA.NumberToString(_f[(int) (1)])+", "+BA.NumberToString(_f[(int) (2)]),0);
 //BA.debugLineNum = 131;BA.debugLine="Dim flashModes As List = camEx.GetSupportedFlashM";
_flashmodes = new anywheresoftware.b4a.objects.collections.List();
_flashmodes = _camex._getsupportedflashmodes /*anywheresoftware.b4a.objects.collections.List*/ ();
 //BA.debugLineNum = 132;BA.debugLine="If flashModes.IsInitialized = False Then";
if (_flashmodes.IsInitialized()==__c.False) { 
 //BA.debugLineNum = 133;BA.debugLine="ToastMessageShow(\"Flash not supported.\", False)";
__c.ToastMessageShow(BA.ObjectToCharSequence("Flash not supported."),__c.False);
 //BA.debugLineNum = 134;BA.debugLine="Return";
if (true) return "";
 };
 //BA.debugLineNum = 136;BA.debugLine="Dim flash As String = flashModes.Get((flashModes.";
_flash = BA.ObjectToString(_flashmodes.Get((int) ((_flashmodes.IndexOf((Object)(_camex._getflashmode /*String*/ ()))+1)%_flashmodes.getSize())));
 //BA.debugLineNum = 137;BA.debugLine="camEx.SetFlashMode(flash)";
_camex._setflashmode /*String*/ (_flash);
 //BA.debugLineNum = 138;BA.debugLine="ToastMessageShow(flash, False)";
__c.ToastMessageShow(BA.ObjectToCharSequence(_flash),__c.False);
 //BA.debugLineNum = 139;BA.debugLine="camEx.CommitParameters";
_camex._commitparameters /*String*/ ();
 //BA.debugLineNum = 140;BA.debugLine="End Sub";
return "";
}
public String  _btnfocus_click() throws Exception{
 //BA.debugLineNum = 72;BA.debugLine="Sub btnFocus_Click";
 //BA.debugLineNum = 73;BA.debugLine="camEx.FocusAndTakePicture";
_camex._focusandtakepicture /*String*/ ();
 //BA.debugLineNum = 74;BA.debugLine="End Sub";
return "";
}
public String  _btnpicturesize_click() throws Exception{
reparto_izca.keymon.lat.cameraexclass._camerasize[] _picturesizes = null;
reparto_izca.keymon.lat.cameraexclass._camerasize _current = null;
int _i = 0;
reparto_izca.keymon.lat.cameraexclass._camerasize _ps = null;
 //BA.debugLineNum = 142;BA.debugLine="Sub btnPictureSize_Click";
 //BA.debugLineNum = 143;BA.debugLine="Dim pictureSizes() As CameraSize = camEx.GetSuppo";
_picturesizes = _camex._getsupportedpicturessizes /*reparto_izca.keymon.lat.cameraexclass._camerasize[]*/ ();
 //BA.debugLineNum = 144;BA.debugLine="Dim current As CameraSize = camEx.GetPictureSize";
_current = _camex._getpicturesize /*reparto_izca.keymon.lat.cameraexclass._camerasize*/ ();
 //BA.debugLineNum = 145;BA.debugLine="For i = 0 To pictureSizes.Length - 1";
{
final int step3 = 1;
final int limit3 = (int) (_picturesizes.length /*int*/ -1);
_i = (int) (0) ;
for (;_i <= limit3 ;_i = _i + step3 ) {
 //BA.debugLineNum = 146;BA.debugLine="If pictureSizes(i).Width = current.Width And pic";
if (_picturesizes[_i].Width /*int*/ ==_current.Width /*int*/  && _picturesizes[_i].Height /*int*/ ==_current.Height /*int*/ ) { 
if (true) break;};
 }
};
 //BA.debugLineNum = 148;BA.debugLine="Dim ps As CameraSize = pictureSizes((i + 1) Mod p";
_ps = _picturesizes[(int) ((_i+1)%_picturesizes.length /*int*/ )];
 //BA.debugLineNum = 149;BA.debugLine="camEx.SetPictureSize(ps.Width, ps.Height)";
_camex._setpicturesize /*String*/ (_ps.Width /*int*/ ,_ps.Height /*int*/ );
 //BA.debugLineNum = 150;BA.debugLine="ToastMessageShow(ps.Width & \"x\" & ps.Height & i,";
__c.ToastMessageShow(BA.ObjectToCharSequence(BA.NumberToString(_ps.Width /*int*/ )+"x"+BA.NumberToString(_ps.Height /*int*/ )+BA.NumberToString(_i)),__c.False);
 //BA.debugLineNum = 151;BA.debugLine="camEx.CommitParameters";
_camex._commitparameters /*String*/ ();
 //BA.debugLineNum = 152;BA.debugLine="End Sub";
return "";
}
public String  _btntakepicture_click() throws Exception{
reparto_izca.keymon.lat.cameraexclass._camerasize _ps = null;
 //BA.debugLineNum = 62;BA.debugLine="Sub btnTakePicture_Click";
 //BA.debugLineNum = 63;BA.debugLine="Dim ps As CameraSize";
_ps = new reparto_izca.keymon.lat.cameraexclass._camerasize();
 //BA.debugLineNum = 64;BA.debugLine="ps.Width =640";
_ps.Width /*int*/  = (int) (640);
 //BA.debugLineNum = 65;BA.debugLine="ps.Height =480";
_ps.Height /*int*/  = (int) (480);
 //BA.debugLineNum = 66;BA.debugLine="camEx.SetPictureSize(ps.Width, ps.Height)";
_camex._setpicturesize /*String*/ (_ps.Width /*int*/ ,_ps.Height /*int*/ );
 //BA.debugLineNum = 68;BA.debugLine="camEx.CommitParameters";
_camex._commitparameters /*String*/ ();
 //BA.debugLineNum = 69;BA.debugLine="camEx.TakePicture";
_camex._takepicture /*String*/ ();
 //BA.debugLineNum = 70;BA.debugLine="End Sub";
return "";
}
public String  _camera1_picturetaken(byte[] _data) throws Exception{
String _filename = "";
String _dir = "";
String _sdate = "";
String _stime = "";
int _i = 0;
 //BA.debugLineNum = 76;BA.debugLine="Sub Camera1_PictureTaken (Data() As Byte)";
 //BA.debugLineNum = 77;BA.debugLine="Dim filename As String = \"1.jpg\"";
_filename = "1.jpg";
 //BA.debugLineNum = 78;BA.debugLine="Dim dir As String = File.DirInternal";
_dir = __c.File.getDirInternal();
 //BA.debugLineNum = 80;BA.debugLine="camEx.SavePictureToFile(Data, dir, filename)";
_camex._savepicturetofile /*String*/ (_data,_dir,_filename);
 //BA.debugLineNum = 81;BA.debugLine="camEx.StartPreview 'restart preview";
_camex._startpreview /*String*/ ();
 //BA.debugLineNum = 83;BA.debugLine="Dim sDate,sTime As String";
_sdate = "";
_stime = "";
 //BA.debugLineNum = 84;BA.debugLine="DateTime.DateFormat = \"MM/dd/yyyy\"";
__c.DateTime.setDateFormat("MM/dd/yyyy");
 //BA.debugLineNum = 85;BA.debugLine="sDate=DateTime.Date(DateTime.Now)";
_sdate = __c.DateTime.Date(__c.DateTime.getNow());
 //BA.debugLineNum = 86;BA.debugLine="sTime=DateTime.Time(DateTime.Now)";
_stime = __c.DateTime.Time(__c.DateTime.getNow());
 //BA.debugLineNum = 87;BA.debugLine="c=Starter.skmt.ExecQuery(\"select CUENTA from cuen";
_c = (anywheresoftware.b4a.sql.SQL.CursorWrapper) anywheresoftware.b4a.AbsObjectWrapper.ConvertToWrapper(new anywheresoftware.b4a.sql.SQL.CursorWrapper(), (android.database.Cursor)(_starter._skmt /*anywheresoftware.b4a.sql.SQL*/ .ExecQuery("select CUENTA from cuentaa")));
 //BA.debugLineNum = 88;BA.debugLine="c.Position = 0";
_c.setPosition((int) (0));
 //BA.debugLineNum = 89;BA.debugLine="cuenta = c.GetString(\"CUENTA\")";
_cuenta = _c.GetString("CUENTA");
 //BA.debugLineNum = 90;BA.debugLine="c=Starter.skmt.ExecQuery(\"select USUARIO from usu";
_c = (anywheresoftware.b4a.sql.SQL.CursorWrapper) anywheresoftware.b4a.AbsObjectWrapper.ConvertToWrapper(new anywheresoftware.b4a.sql.SQL.CursorWrapper(), (android.database.Cursor)(_starter._skmt /*anywheresoftware.b4a.sql.SQL*/ .ExecQuery("select USUARIO from usuarioa")));
 //BA.debugLineNum = 91;BA.debugLine="c.Position = 0";
_c.setPosition((int) (0));
 //BA.debugLineNum = 92;BA.debugLine="USUARIO = c.GetString(\"USUARIO\")";
_usuario = _c.GetString("USUARIO");
 //BA.debugLineNum = 93;BA.debugLine="c.Close";
_c.Close();
 //BA.debugLineNum = 94;BA.debugLine="Starter.skmt.ExecNonQuery(\"DELETE FROM NOVENTA WH";
_starter._skmt /*anywheresoftware.b4a.sql.SQL*/ .ExecNonQuery("DELETE FROM NOVENTA WHERE NV_CLIENTE IN (select cuenta from cuentaa)");
 //BA.debugLineNum = 95;BA.debugLine="c=Starter.skmt.ExecQuery(\"select HVD_CLIENTE,HVD_";
_c = (anywheresoftware.b4a.sql.SQL.CursorWrapper) anywheresoftware.b4a.AbsObjectWrapper.ConvertToWrapper(new anywheresoftware.b4a.sql.SQL.CursorWrapper(), (android.database.Cursor)(_starter._skmt /*anywheresoftware.b4a.sql.SQL*/ .ExecQuery("select HVD_CLIENTE,HVD_PRONOMBRE,HVD_CANT,HVD_COSTO_TOT from HIST_VENTAS WHERE HVD_CLIENTE IN (Select CUENTA from cuentaa) order by HVD_PRONOMBRE asc")));
 //BA.debugLineNum = 96;BA.debugLine="If c.RowCount>0 Then";
if (_c.getRowCount()>0) { 
 //BA.debugLineNum = 97;BA.debugLine="For i=0 To c.RowCount -1";
{
final int step19 = 1;
final int limit19 = (int) (_c.getRowCount()-1);
_i = (int) (0) ;
for (;_i <= limit19 ;_i = _i + step19 ) {
 //BA.debugLineNum = 98;BA.debugLine="c.Position=i";
_c.setPosition(_i);
 //BA.debugLineNum = 99;BA.debugLine="Starter.skmt.ExecNonQuery2(\"insert into reparto";
_starter._skmt /*anywheresoftware.b4a.sql.SQL*/ .ExecNonQuery2("insert into reparto(REP_CLIENTE, REP_PRONOMBRE, REP_CANT, REP_COSTO_TOT) select HVD_CLIENTE, HVD_PRONOMBRE, HVD_CANT, HVD_COSTO_TOT from hist_ventas where HVD_PRONOMBRE = ? and HVD_cliente in (Select CUENTA from cuentaa) ",anywheresoftware.b4a.keywords.Common.ArrayToList(new String[]{_c.GetString("HVD_PRONOMBRE")}));
 //BA.debugLineNum = 100;BA.debugLine="Starter.skmt.ExecNonQuery2(\"update cat_gunaprod";
_starter._skmt /*anywheresoftware.b4a.sql.SQL*/ .ExecNonQuery2("update cat_gunaprod set cat_gp_almacen = cat_gp_almacen + ? where cat_gp_nombre = ?",anywheresoftware.b4a.keywords.Common.ArrayToList(new Object[]{(Object)(_c.GetString("HVD_CANT")),(Object)(_c.GetString("HVD_PRONOMBRE"))}));
 }
};
 };
 //BA.debugLineNum = 104;BA.debugLine="Starter.skmt.ExecNonQuery2(\"INSERT INTO  NOVENTA";
_starter._skmt /*anywheresoftware.b4a.sql.SQL*/ .ExecNonQuery2("INSERT INTO  NOVENTA (NV_CLIENTE,NV_FECHA,NV_USER,NV_MOTIVO,NV_COMM,NV_LAT,NV_LON, NV_FOTO) VALUES(?,?,?,?,?,?,?,?) ",anywheresoftware.b4a.keywords.Common.ArrayToList(new Object[]{(Object)(_cuenta),(Object)(_sdate+_stime),(Object)(_usuario),(Object)("CERRADO"),(Object)(_b4xpages._mainpage /*reparto_izca.keymon.lat.b4xmainpage*/ (ba)._noventa /*reparto_izca.keymon.lat.c_noventa*/ ._comentario /*String*/ ),(Object)(_b4xpages._mainpage /*reparto_izca.keymon.lat.b4xmainpage*/ (ba)._lat_gps /*String*/ ),(Object)(_b4xpages._mainpage /*reparto_izca.keymon.lat.b4xmainpage*/ (ba)._lon_gps /*String*/ ),(Object)(_data)}));
 //BA.debugLineNum = 105;BA.debugLine="Starter.skmt.ExecNonQuery($\"UPDATE kmt_info set g";
_starter._skmt /*anywheresoftware.b4a.sql.SQL*/ .ExecNonQuery(("UPDATE kmt_info set gestion = 3, HORAENT = '"+__c.SmartStringFormatter("",(Object)(_sdate+" "+_stime))+"' where CAT_CL_CODIGO In (select cuenta from cuentaa)"));
 //BA.debugLineNum = 106;BA.debugLine="Starter.skmt.ExecNonQuery(\"update HIST_VENTAS SET";
_starter._skmt /*anywheresoftware.b4a.sql.SQL*/ .ExecNonQuery("update HIST_VENTAS SET HVD_RECHAZO = 1 WHERE HVD_CLIENTE IN (SELECT CUENTA FROM CUENTAA)");
 //BA.debugLineNum = 107;BA.debugLine="B4XPages.ShowPage(\"Cliente\")";
_b4xpages._showpage /*String*/ (ba,"Cliente");
 //BA.debugLineNum = 108;BA.debugLine="End Sub";
return "";
}
public String  _camera1_ready(boolean _success) throws Exception{
 //BA.debugLineNum = 51;BA.debugLine="Sub Camera1_Ready (Success As Boolean)";
 //BA.debugLineNum = 52;BA.debugLine="If Success Then";
if (_success) { 
 //BA.debugLineNum = 53;BA.debugLine="camEx.SetJpegQuality(90)";
_camex._setjpegquality /*String*/ ((int) (90));
 //BA.debugLineNum = 54;BA.debugLine="camEx.CommitParameters";
_camex._commitparameters /*String*/ ();
 //BA.debugLineNum = 55;BA.debugLine="camEx.StartPreview";
_camex._startpreview /*String*/ ();
 //BA.debugLineNum = 56;BA.debugLine="Log(camEx.GetPreviewSize)";
__c.LogImpl("148889861",BA.ObjectToString(_camex._getpreviewsize /*reparto_izca.keymon.lat.cameraexclass._camerasize*/ ()),0);
 }else {
 //BA.debugLineNum = 58;BA.debugLine="ToastMessageShow(\"Cannot open camera.\", True)";
__c.ToastMessageShow(BA.ObjectToCharSequence("Cannot open camera."),__c.True);
 };
 //BA.debugLineNum = 60;BA.debugLine="End Sub";
return "";
}
public String  _changecamera_click() throws Exception{
 //BA.debugLineNum = 110;BA.debugLine="Sub ChangeCamera_Click";
 //BA.debugLineNum = 111;BA.debugLine="camEx.Release";
_camex._release /*String*/ ();
 //BA.debugLineNum = 112;BA.debugLine="frontCamera = Not(frontCamera)";
_frontcamera = __c.Not(_frontcamera);
 //BA.debugLineNum = 113;BA.debugLine="InitializeCamera";
_initializecamera();
 //BA.debugLineNum = 114;BA.debugLine="End Sub";
return "";
}
public String  _class_globals() throws Exception{
 //BA.debugLineNum = 1;BA.debugLine="Sub Class_Globals";
 //BA.debugLineNum = 2;BA.debugLine="Private Root As B4XView 'ignore";
_root = new anywheresoftware.b4a.objects.B4XViewWrapper();
 //BA.debugLineNum = 3;BA.debugLine="Private xui As XUI 'ignore";
_xui = new anywheresoftware.b4a.objects.B4XViewWrapper.XUI();
 //BA.debugLineNum = 4;BA.debugLine="Private frontCamera As Boolean = False";
_frontcamera = __c.False;
 //BA.debugLineNum = 5;BA.debugLine="Dim g As GPS";
_g = new anywheresoftware.b4a.gps.GPS();
 //BA.debugLineNum = 6;BA.debugLine="Private p_camara As Panel";
_p_camara = new anywheresoftware.b4a.objects.PanelWrapper();
 //BA.debugLineNum = 7;BA.debugLine="Private camEx As CameraExClass";
_camex = new reparto_izca.keymon.lat.cameraexclass();
 //BA.debugLineNum = 8;BA.debugLine="Dim btnTakePicture As Button";
_btntakepicture = new anywheresoftware.b4a.objects.ButtonWrapper();
 //BA.debugLineNum = 9;BA.debugLine="Dim c As Cursor";
_c = new anywheresoftware.b4a.sql.SQL.CursorWrapper();
 //BA.debugLineNum = 10;BA.debugLine="Dim cuenta As String";
_cuenta = "";
 //BA.debugLineNum = 11;BA.debugLine="Dim lat_gps As String";
_lat_gps = "";
 //BA.debugLineNum = 12;BA.debugLine="Dim USUARIO As String";
_usuario = "";
 //BA.debugLineNum = 13;BA.debugLine="Dim MOTIVO As String";
_motivo = "";
 //BA.debugLineNum = 14;BA.debugLine="End Sub";
return "";
}
public String  _gps_locationchanged(anywheresoftware.b4a.gps.LocationWrapper _location1) throws Exception{
 //BA.debugLineNum = 47;BA.debugLine="Sub GPS_LocationChanged (Location1 As Location)";
 //BA.debugLineNum = 49;BA.debugLine="End Sub";
return "";
}
public Object  _initialize(anywheresoftware.b4a.BA _ba) throws Exception{
innerInitialize(_ba);
 //BA.debugLineNum = 17;BA.debugLine="Public Sub Initialize As Object";
 //BA.debugLineNum = 18;BA.debugLine="Return Me";
if (true) return this;
 //BA.debugLineNum = 19;BA.debugLine="End Sub";
return null;
}
public String  _initializecamera() throws Exception{
 //BA.debugLineNum = 38;BA.debugLine="Private Sub InitializeCamera";
 //BA.debugLineNum = 39;BA.debugLine="camEx.Initialize(p_camara, frontCamera, Me, \"Came";
_camex._initialize /*String*/ (ba,_p_camara,_frontcamera,this,"Camera1");
 //BA.debugLineNum = 40;BA.debugLine="frontCamera = camEx.Front";
_frontcamera = _camex._front /*boolean*/ ;
 //BA.debugLineNum = 41;BA.debugLine="End Sub";
return "";
}
public Object callSub(String sub, Object sender, Object[] args) throws Exception {
BA.senderHolder.set(sender);
if (BA.fastSubCompare(sub, "B4XPAGE_CREATED"))
	return _b4xpage_created((anywheresoftware.b4a.objects.B4XViewWrapper) args[0]);
if (BA.fastSubCompare(sub, "GPS_LOCATIONCHANGED"))
	return _gps_locationchanged((anywheresoftware.b4a.gps.LocationWrapper) args[0]);
return BA.SubDelegator.SubNotFound;
}
}
